Fetch Raising Tokens
curl --request GET \
--url https://ge-exchange-staging-1.herokuapp.com/v1/api/tokens/raising \
--header 'Authorization: Bearer <token>'import requests
url = "https://ge-exchange-staging-1.herokuapp.com/v1/api/tokens/raising"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ge-exchange-staging-1.herokuapp.com/v1/api/tokens/raising', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Raising tokens gotten successfully",
"data": {
"page": 1,
"pages": 5,
"count": 10,
"total": 44,
"tokens": [
{
"price": {
"buy": 10000,
"sell": 10000,
"exchange": 10000
},
"prev_price": {
"buy": 10000,
"sell": 10000,
"exchange": 10000
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 100000,
"sell": 10
},
"max_trade": {
"buy": 100000000,
"sell": 10
},
"type": "Public",
"deal_access": "Public",
"investment_type": "Debt",
"investment_category": "Commercial Paper",
"payout_frequency": "Monthly",
"raise_amount": 100000000,
"buy_fee": 2,
"sell_fee": 1,
"carry": 10,
"management_fee": 1,
"valuation": 100000001,
"discount": 0,
"interest": 29,
"dividend": 0,
"tenor": 365,
"secondaries": true,
"completed_raise": false,
"supply": 10000,
"total_supply": 10000.0001,
"total_raised": 2316.23,
"exited": false,
"post_raise_valuation": 100000001000,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "682b2f367732900002613bfc",
"reference": 597436,
"name": "Ojaja Pan African LTD Series 2 Commercial Paper",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1747660006/getequity/profiles/user/awdrtenbvofwworewikc.png",
"symbol": "OPAS2",
"asset": "682b2ce87732900002613a43",
"risk": "Medium",
"currency": "NGN",
"country": "Nigeria",
"maturity": "2026-05-01T13:12:00.000Z",
"closed": false,
"creator": {
"employees": "Small",
"type": "Syndicate",
"entity_type": "organisation",
"stage": "Pre seed",
"kyc": {
"bank": true,
"identityDocument": "Approved",
"legalDocument": "Approved",
"email": true
},
"activated": true,
"verified": true,
"live": false,
"pin_set": true,
"carry": 1.2,
"threshold": 1000,
"products": "PRIVATE_RAISE INVEST",
"_id": "61824732fc2f8f0004928b36",
"name": "Price Keebler",
"email": "brandt@yopmail.com",
"phone": "08097675342",
"industry": "Health care",
"createdAt": "2021-11-03T08:24:18.413Z",
"updatedAt": "2026-01-20T11:29:35.598Z",
"officeAddress": "19 Lawani street, Onike, Yaba, lagos.",
"about": "This is a test about me",
"country": "AI",
"dateOfIncorporation": "2018-12-06T10:49:00.000Z",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1669891836/getequity/profiles/user/jidadvgphppospog7k6l.png",
"state": "East Cay",
"website": "https://this.com",
"slug": "price--keebler"
},
"request": "682b2efc7732900002613b5f",
"createdAt": "2025-05-19T13:16:38.259Z",
"updatedAt": "2026-01-27T00:00:06.683Z",
"last_paid": "2026-01-01T00:00:00.000Z",
"percentage": 0
},
{
"price": {
"buy": 100,
"sell": 10,
"exchange": 100
},
"prev_price": {
"buy": 100,
"sell": 10,
"exchange": 100
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 100,
"sell": 10
},
"max_trade": {
"buy": 500000,
"sell": 10
},
"type": "Public",
"deal_access": "Public",
"investment_type": "SAFE",
"investment_category": "Commercial Paper",
"payout_frequency": "Annually",
"raise_amount": 10000000,
"buy_fee": 3,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 10000001,
"discount": 1,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 1000000,
"total_supply": 1000000.1,
"total_raised": 123,
"exited": false,
"post_raise_valuation": 100000010,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "65e604fa6c849a0002b27bf3",
"reference": 9432811,
"name": "Young Jonn",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1701675696/getequity/profiles/user/q5acwdvpw7a8uv1wq9uo.png",
"symbol": "WCKD",
"asset": "656d82b14ca7060002dc890a",
"risk": "Medium",
"currency": "KES",
"country": "Kenya",
"closed": false,
"creator": {
"employees": "Small",
"type": "Syndicate",
"entity_type": "organisation",
"stage": "Pre seed",
"kyc": {
"bank": true,
"identityDocument": "Approved",
"legalDocument": "Approved",
"email": true
},
"activated": true,
"verified": true,
"live": false,
"pin_set": true,
"carry": 1.2,
"threshold": 1000,
"products": "PRIVATE_RAISE INVEST",
"_id": "61824732fc2f8f0004928b36",
"name": "Price Keebler",
"email": "brandt@yopmail.com",
"phone": "08097675342",
"industry": "Health care",
"createdAt": "2021-11-03T08:24:18.413Z",
"updatedAt": "2026-01-20T11:29:35.598Z",
"officeAddress": "19 Lawani street, Onike, Yaba, lagos.",
"about": "This is a test about me",
"country": "AI",
"dateOfIncorporation": "2018-12-06T10:49:00.000Z",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1669891836/getequity/profiles/user/jidadvgphppospog7k6l.png",
"state": "East Cay",
"website": "https://this.com",
"slug": "price--keebler"
},
"request": "65e6045c6c849a0002b27a8a",
"createdAt": "2024-03-04T17:29:30.104Z",
"updatedAt": "2026-01-27T00:00:07.491Z",
"percentage": 0
}
]
}
}
Trade
Fetch Raising Tokens
Fetch all tokens currently in a fundraising round
GET
api
/
tokens
/
raising
Fetch Raising Tokens
The page number to fetch
The number of tokens to fetch per page
Filter by one or more investment types as a comma-separated list, for example
equity,debt. Valid investment types are safe, equity, debt, fixed interest, and fund.Filter by one or more currencies as a comma-separated list, for example
USD,NGN.{
"status": "success",
"message": "Raising tokens gotten successfully",
"data": {
"page": 1,
"pages": 5,
"count": 10,
"total": 44,
"tokens": [
{
"price": {
"buy": 10000,
"sell": 10000,
"exchange": 10000
},
"prev_price": {
"buy": 10000,
"sell": 10000,
"exchange": 10000
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 100000,
"sell": 10
},
"max_trade": {
"buy": 100000000,
"sell": 10
},
"type": "Public",
"deal_access": "Public",
"investment_type": "Debt",
"investment_category": "Commercial Paper",
"payout_frequency": "Monthly",
"raise_amount": 100000000,
"buy_fee": 2,
"sell_fee": 1,
"carry": 10,
"management_fee": 1,
"valuation": 100000001,
"discount": 0,
"interest": 29,
"dividend": 0,
"tenor": 365,
"secondaries": true,
"completed_raise": false,
"supply": 10000,
"total_supply": 10000.0001,
"total_raised": 2316.23,
"exited": false,
"post_raise_valuation": 100000001000,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "682b2f367732900002613bfc",
"reference": 597436,
"name": "Ojaja Pan African LTD Series 2 Commercial Paper",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1747660006/getequity/profiles/user/awdrtenbvofwworewikc.png",
"symbol": "OPAS2",
"asset": "682b2ce87732900002613a43",
"risk": "Medium",
"currency": "NGN",
"country": "Nigeria",
"maturity": "2026-05-01T13:12:00.000Z",
"closed": false,
"creator": {
"employees": "Small",
"type": "Syndicate",
"entity_type": "organisation",
"stage": "Pre seed",
"kyc": {
"bank": true,
"identityDocument": "Approved",
"legalDocument": "Approved",
"email": true
},
"activated": true,
"verified": true,
"live": false,
"pin_set": true,
"carry": 1.2,
"threshold": 1000,
"products": "PRIVATE_RAISE INVEST",
"_id": "61824732fc2f8f0004928b36",
"name": "Price Keebler",
"email": "brandt@yopmail.com",
"phone": "08097675342",
"industry": "Health care",
"createdAt": "2021-11-03T08:24:18.413Z",
"updatedAt": "2026-01-20T11:29:35.598Z",
"officeAddress": "19 Lawani street, Onike, Yaba, lagos.",
"about": "This is a test about me",
"country": "AI",
"dateOfIncorporation": "2018-12-06T10:49:00.000Z",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1669891836/getequity/profiles/user/jidadvgphppospog7k6l.png",
"state": "East Cay",
"website": "https://this.com",
"slug": "price--keebler"
},
"request": "682b2efc7732900002613b5f",
"createdAt": "2025-05-19T13:16:38.259Z",
"updatedAt": "2026-01-27T00:00:06.683Z",
"last_paid": "2026-01-01T00:00:00.000Z",
"percentage": 0
},
{
"price": {
"buy": 100,
"sell": 10,
"exchange": 100
},
"prev_price": {
"buy": 100,
"sell": 10,
"exchange": 100
},
"min": {
"buy": 0,
"sell": 0
},
"max": {
"buy": 0,
"sell": 0
},
"vol": {
"buy": 0,
"sell": 0
},
"min_trade": {
"buy": 100,
"sell": 10
},
"max_trade": {
"buy": 500000,
"sell": 10
},
"type": "Public",
"deal_access": "Public",
"investment_type": "SAFE",
"investment_category": "Commercial Paper",
"payout_frequency": "Annually",
"raise_amount": 10000000,
"buy_fee": 3,
"sell_fee": 2,
"carry": 10,
"management_fee": 1,
"valuation": 10000001,
"discount": 1,
"interest": 0,
"dividend": 0,
"tenor": 0,
"secondaries": true,
"completed_raise": false,
"supply": 1000000,
"total_supply": 1000000.1,
"total_raised": 123,
"exited": false,
"post_raise_valuation": 100000010,
"milestone": "0",
"total_allocated": 0,
"cancelled": false,
"_id": "65e604fa6c849a0002b27bf3",
"reference": 9432811,
"name": "Young Jonn",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1701675696/getequity/profiles/user/q5acwdvpw7a8uv1wq9uo.png",
"symbol": "WCKD",
"asset": "656d82b14ca7060002dc890a",
"risk": "Medium",
"currency": "KES",
"country": "Kenya",
"closed": false,
"creator": {
"employees": "Small",
"type": "Syndicate",
"entity_type": "organisation",
"stage": "Pre seed",
"kyc": {
"bank": true,
"identityDocument": "Approved",
"legalDocument": "Approved",
"email": true
},
"activated": true,
"verified": true,
"live": false,
"pin_set": true,
"carry": 1.2,
"threshold": 1000,
"products": "PRIVATE_RAISE INVEST",
"_id": "61824732fc2f8f0004928b36",
"name": "Price Keebler",
"email": "brandt@yopmail.com",
"phone": "08097675342",
"industry": "Health care",
"createdAt": "2021-11-03T08:24:18.413Z",
"updatedAt": "2026-01-20T11:29:35.598Z",
"officeAddress": "19 Lawani street, Onike, Yaba, lagos.",
"about": "This is a test about me",
"country": "AI",
"dateOfIncorporation": "2018-12-06T10:49:00.000Z",
"image": "https://res.cloudinary.com/djalafcj9/image/upload/v1669891836/getequity/profiles/user/jidadvgphppospog7k6l.png",
"state": "East Cay",
"website": "https://this.com",
"slug": "price--keebler"
},
"request": "65e6045c6c849a0002b27a8a",
"createdAt": "2024-03-04T17:29:30.104Z",
"updatedAt": "2026-01-27T00:00:07.491Z",
"percentage": 0
}
]
}
}
Was this page helpful?
⌘I
